*==============================================================================
* Function:			DataChanged
* Purpose:			Determines if the user made any changes
* Author:			Doug Hennig
* Copyright:		(c) 2000 Stonefield Systems Group Inc.
* Last revision:	11/25/2000
* Parameters:		none
* Returns:			.T. if the user made any changes
* Environment in:	none
* Environment out:	none
*==============================================================================

local llChanged, ;
	laTables[1], ;
	lnTables, ;
	lnI, ;
	lcAlias, ;
	lcState

* Check each open table to see if something changed.

llChanged = .F.
lnTables  = aused(laTables)
for lnI = 1 to lnTables
	lcAlias = laTables[lnI, 1]
	do case

* This cursor isn't buffered, so we can ignore it.

		case cursorgetprop('Buffering', lcAlias) = 1

* This is a row-buffered cursor, so check the current record.

		case cursorgetprop('Buffering', lcAlias) < 4
			lcState   = getfldstate(-1, lcAlias)
			llChanged = not isnull(lcState) and ;
				lcState <> replicate('1', fcount(lcAlias) + 1)

* This is a table-buffered cursor, so look for any modified record.

		otherwise
			llChanged = getnextmodified(0, lcAlias) <> 0
	endcase
	if llChanged
		exit
	endif llChanged
next lnI
return llChanged
